/**
 * Part of the Friedrich bioinformatics framework.
 * Copyright (C) Gabriel Keeble-Gagnere and Johan Nystrom-Persson 2010-2012.
 * Dual GPL/MIT license. Please see the files README and LICENSE for details.
 */

package friedrich

/**
 * Data being passed around between phases.
 * For a particular application, in principle, all data that the phases 
 * need to read and write should be in an object of this type.
 */
trait PhaseData {
	def config: Configuration 
	
	def verboseMemory: Boolean = config.verboseMemory	  
}

class BasicPhaseData extends PhaseData {
  val config = new Configuration {}
}
