/**
 * Part of the Friedrich bioinformatics framework.
 * Copyright (C) Gabriel Keeble-Gagnere and Johan Nystrom-Persson 2010-2012.
 * Dual GPL/MIT license. Please see the files README and LICENSE for details.
 */
package friedrich.util

object JavaHelpers extends JavaHelpers

/**
 * Helper functions to assist conversions to and from java types,
 * such as collections
 */
trait JavaHelpers {

  implicit def toJavaList[T](l: Iterable[T]): java.util.List[T] = {
    val r = new java.util.LinkedList[T]
    for (i <- l) {
      r.add(i)
    }
    r
  }
  
  implicit def fromJavaList[T](l: java.util.List[T]) = {
    var r = List[T]()
    val i = l.iterator
    while(i.hasNext()) {
      r ::= i.next    		  
    }
    r.reverse
  }
  
  def toJavaInt(i: Int) = i.asInstanceOf[java.lang.Integer]
}
