/**
 * Part of the Friedrich bioinformatics framework.
 * Copyright (C) Gabriel Keeble-Gagnere and Johan Nystrom-Persson 2010-2012.
 * Dual GPL/MIT license. Please see the files README and LICENSE for details.
 */
package miniasm

import miniasm.util._
import miniasm.genome.Kmer

object FindBubblesPhase {
  /** 
   * Convenience function for interactive use
   */
  def apply[T <: Kmer[T]](data: AssemblyData[T]) = (new FindBubblesPhase[T]).run(data)
}

class FindBubblesPhase[T <: Kmer[T]] extends AsmPhase[T] {

  def runImpl(data: AssemblyData[T]): Unit = { 
      println("finding bubbles...")
	  findBubbles(data.graph)
  }
  
  def findBubbles(g: PathGraph[T]): Unit = {
      g.findBubbles()
  }

}
