/**
 * Part of the Friedrich bioinformatics framework.
 * Copyright (C) Gabriel Keeble-Gagnere and Johan Nystrom-Persson 2010-2012.
 * Dual GPL/MIT license. Please see the files README and LICENSE for details.
 */
package miniasm.genome.bpbuffer
import miniasm.genome._

class BPKmerFactory extends Factory[BPKmer] {  
	def makeKmerSet(k: Short) = new BPKmerSet(k)
	
	def makeKmer(kmer: String):BPKmer = {
	  val set = new BPKmerSet(kmer.size.toShort)
	  set.findOrCreate(kmer)
	}
}